package er

import (
	"log"
	"runtime/debug"
)

func Check(err error) {
	if err != nil {
		log.Println(err)
		debug.PrintStack()
		panic(err)
	}
}

func Recover(err *error) {
	r := recover()
	if r != nil {
		debug.PrintStack()
		e, _ := r.(error)
		*err = e
	}
}
